import request from '@/utils/request'


export default {
    // 获取模拟量信息列表
    rtAnalogData(params) {
        return request({
            url: `rtAnalogData/one`,
            method: 'GET',
            params: params
            // data: data
        })
    },
    // 获取开关量信息列表
    rtSwitchData(params) {
        return request({
            url: `rtSwitchData/one`,
            method: 'GET',
            params: params
        })
    },
    // 获取运行状态统计 -> 本日 本月
    LoopStatus(params) {
        return request({
            url: `rtSwitchData/LoopStatus`,
            method: 'GET',
            params: params
        })
    },
    // 获取运行状态统计 -> 折线图数据
    runStatus(params) {
        return request({
            url: `alarmPower/runStatus`,
            method: 'GET',
            params: params
        })
    },
    // 获取数据报表列表数据
    DataReport(params) {
        return request({
            url: `rtAnalogData/DataReport`,
            method: 'GET',
            params: params
        })
    },
    // 获取历史趋势折线图数据
    HistoricalCurve(params) {
        return request({
            url: `rtAnalogData/HistoricalCurve`,
            method: 'GET',
            params: params
        })
    },
    // 导出数据报表xlsx
    DataReportExport(params) {
        return request({
            url: `rtAnalogData/DataReportExport`,
            method: 'GET',
            params: params
        })
    },
}